%define oname   Mnemosyne

Name:           mnemosyne
Version:        2.4.1
Release:        %mkrel 1
Summary:        Flash-card learning tool which optimizes the learning process
Group:          Education
License:        AGPLv3 and LGPLv3
URL:            http://www.mnemosyne-proj.org/
Source0:        http://downloads.sourceforge.net/mnemosyne-proj/%{oname}-%{version}.tar.gz
Patch0:         mnemosyne-2.3.1-mga-desktop-category.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-cherrypy
Requires:       python3-matplotlib-qt5
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-sql
Requires:       python3-qt5-widgets
Requires:       python3-qt5-webenginewidgets
Requires:       python3-webob

%description
Mnemosyne resembles a traditional flash-card program but with an
important twist: it uses a sophisticated algorithm to schedule the best
time for a card to come up for review.

The Mnemosyne project is also a research project into the nature of long-term
memory, to which you can freely choose to participate by sending anonymous
data to a central server for analysis.

Optional dependency:
* texlive: enables entering formulas using LaTeX syntax.
Use the following syntax in a card: <$>LaTeX formula</$>

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1
cp openSM2sync/LICENSE LICENSE.openSM2sync

%build
%py3_build

%install
%py3_install

install -D -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/

install -d %{buildroot}%{_iconsdir}/hicolor/128x128/apps
pushd %{buildroot}%{_iconsdir}
mv %{name}.png hicolor/128x128/apps/%{name}.png
popd

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog LICENSE.openSM2sync
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{oname}-%{version}*.egg-info
%{python3_sitelib}/openSM2sync
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Feb 03 2017 akien <akien> 2.4.1-1.mga6
+ Revision: 1084668
- Version 2.4.1

* Mon Dec 05 2016 akien <akien> 2.4-1.mga6
+ Revision: 1072650
- Version 2.4
- Build with Python 3 and Qt 5

* Tue May 10 2016 akien <akien> 2.3.6-1.mga6
+ Revision: 1012318
- Version 2.3.6

* Sun Dec 13 2015 akien <akien> 2.3.5-1.mga6
+ Revision: 910086
- Version 2.3.5

* Mon Jun 22 2015 akien <akien> 2.3.3-1.mga6
+ Revision: 839478
- Version 2.3.3

* Sun Mar 08 2015 akien <akien> 2.3.2-1.mga5
+ Revision: 818182
- Version 2.3.2

* Fri Oct 17 2014 akien <akien> 2.3.1-1.mga5
+ Revision: 777628
- Add AUR patch to fix conflict between Qt4 and Qt5 in matplotlib
- import mnemosyne from Fedora

